package example.codes;

import com.silanis.esl.sdk.EslClient;
import com.silanis.esl.sdk.PackageId;
import com.silanis.esl.sdk.SignerId;

public class SigningStatus {

	public static void main(String[] args) {
		
		MyInfo info = new MyInfo();
		
		EslClient eslClient = new EslClient(info.API_KEY_SANDBOX, info.API_URL_SANDBOX);
		
		PackageId packageId = new PackageId("XB4m3cocNudSPEAoUDCIZgbkZD4=");
		
		String signerId1 = "Signer1";
		String signerId2 = "Sender1";
		
		//Get package status
		com.silanis.esl.sdk.SigningStatus pkgStatus = eslClient.getSigningStatus(packageId, null, null);
		
		//Get signer status
		com.silanis.esl.sdk.SigningStatus signerStatus1 = eslClient.getSigningStatus(packageId, new SignerId(signerId1), null);
		com.silanis.esl.sdk.SigningStatus signerStatus2 = eslClient.getSigningStatus(packageId, new SignerId(signerId2), null);
		
		
		System.out.println(String.format("Status of signer 1: %s", signerStatus1));
		System.out.println(String.format("Status of signer 2: %s", signerStatus2));
		System.out.println(String.format("Status of package: %s", pkgStatus));
	}

}
